authenticate-1.3.5.2: Authentication methods for Haskell web applications.

Safe Haskell | None
Language | Haskell2010

Web.Authenticate.Rpxnow

Synopsis

- data Identifier = Identifier {
  - identifier :: Text
  - extraData :: [(Text, Text)]
  }
- authenticate :: MonadIO m => String -> String -> Manager -> m Identifier
- data AuthenticateException
  - = RpxnowException String
  - | NormalizationException String
  - | DiscoveryException String
  - | AuthenticationException String

# Documentation

data Identifier Source #

Information received from Rpxnow after a valid login.

Constructors

Identifier |

Fields

- identifier :: Text
- extraData :: [(Text, Text)]

#### Instances

Instances details

Data Identifier Source # |

Instance details

Defined in Web.Authenticate.Rpxnow

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Identifier -> c Identifier Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Identifier Source #

toConstr :: Identifier -> Constr Source #

dataTypeOf :: Identifier -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Identifier) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Identifier) Source #

gmapT :: (forall b. Data b => b -> b) -> Identifier -> Identifier Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Identifier -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Identifier -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

Read Identifier Source # |
Instance details Defined in Web.Authenticate.Rpxnow Methods readsPrec :: Int -> ReadS Identifier Source # readList :: ReadS [Identifier] Source # readPrec :: ReadPrec Identifier Source # readListPrec :: ReadPrec [Identifier] Source #
Show Identifier Source # |
Instance details Defined in Web.Authenticate.Rpxnow Methods showsPrec :: Int -> Identifier -> ShowS Source # show :: Identifier -> String Source # showList :: [Identifier] -> ShowS Source #
Eq Identifier Source # |
Instance details Defined in Web.Authenticate.Rpxnow Methods (==) :: Identifier -> Identifier -> Bool Source # (/=) :: Identifier -> Identifier -> Bool Source #
Ord Identifier Source # |

Instance details

Defined in Web.Authenticate.Rpxnow

Methods

compare :: Identifier -> Identifier -> Ordering Source #

(<) :: Identifier -> Identifier -> Bool Source #

(<=) :: Identifier -> Identifier -> Bool Source #

(>) :: Identifier -> Identifier -> Bool Source #

(>=) :: Identifier -> Identifier -> Bool Source #

max :: Identifier -> Identifier -> Identifier Source #

min :: Identifier -> Identifier -> Identifier Source #

authenticate Source #

Arguments

:: MonadIO m |
=> String | API key given by RPXNOW.
-> String | Token passed by client.
-> Manager |
-> m Identifier |

Attempt to log a user in.

data AuthenticateException Source #

Constructors

RpxnowException String |
NormalizationException String |
DiscoveryException String |
AuthenticationException String |

#### Instances

Instances details

Exception AuthenticateException Source # |
Instance details Defined in Web.Authenticate.Internal Methods toException :: AuthenticateException -> SomeException Source # fromException :: SomeException -> Maybe AuthenticateException Source # displayException :: AuthenticateException -> String Source # backtraceDesired :: AuthenticateException -> Bool Source #
Show AuthenticateException Source # |
Instance details Defined in Web.Authenticate.Internal Methods showsPrec :: Int -> AuthenticateException -> ShowS Source # show :: AuthenticateException -> String Source # showList :: [AuthenticateException] -> ShowS Source #